/* HO_Widget_Version=WP_TAG_BEGIN2.0.0.0WP_TAG_END */

@charset "utf-8";
@import url(Frameworks/bootstrap.min.css);

:root 
{
  --page-margin: 0.2rem;
  --page-margin-left: 0.2rem;
  --page-margin-right: 0.2rem;
}

html * {
	vertical-align: baseline;
	touch-action: manipulation;
}

* {
	touch-action: manipulation;
}

input:required:invalid {
	background-color: pink;
}

#body {
	text-align: center;
	width: 100%;
	margin: auto;
	padding-top: 15px;
	font-family: verdana;
}

#logo_Keybord {
	position: relative;
	max-width: 480px;
	padding-top: 0;
	padding-right: 0.2rem;
	padding-bottom: 0;
	padding-left: var(--page-margin-left);
	cursor: pointer;
}

#logo {
	position: relative;
	max-width: 480px;
}

#logo_HubOne {
	position: relative;
	max-width: 480px;
}

#logo_Exit {
	position: relative;
	max-width: 480px;
	padding-top: 0;
	padding-right: var(--page-margin-right);
	padding-bottom: 0;
	padding-left: 0.2rem;
	cursor: pointer;
}

#nudQuantity {
	border-radius: 0;
}

.table {
	width: 100%;
	min-width: 100px;
	max-width: 1920px;
	height: 100%;
	padding-right: 100%;
	border-spacing: 0px;
}

.table td, .table th {
	padding-top: 0.2rem;
	padding-right: 0;
	padding-bottom: 0.2rem;
	padding-left: 0;
	border-top: 0px;
	background: none
}

.table tbody+tbody {
	border: 0;
}

.grid-sm {
	width: 100%;
	max-width: 100%;
}

.grid-sm td, .grid-sm th {
	font-weight: normal;
	padding: .1875rem;
	font-size: .875rem
}

.grid {
	border: 0;
	width: 100%;
	max-width: 100%;
}

.grid td, .grid th {
	font-weight: normal;
	padding: .375rem;
	font-size: 1rem;
}

.grid-lg {
	width: 100%;
	max-width: 100%;
}

.grid-lg td, .grid-lg th{
	font-weight: normal;
	padding: .75rem;
	font-size: 1.25rem;
}

.div-grid-scrollable {
    padding-right: var(--page-margin-right);
}

.grid-scrollable 
{
    overflow-y: auto;
}

.grid-scrollable::-webkit-scrollbar {
	width: 11px;
}

.grid-scrollable::-webkit-scrollbar-thumb {
  background-color: #7a7574;
  border-radius: 6px;
  border: 3px solid #7a7574;
}

.grid-header {
    top: 0;
    position: sticky;
    background-color: #bd2130!important;
    color: white!important;
}

.container-fluid {
	padding-top: 0;
	padding-right: var(--page-margin-right);
	padding-bottom: 0;
	padding-left: var(--page-margin-left);
}

.smallTitle {
	text-align: center;
	color: #bd2130!important;
	font-weight: bold!important;
	padding: .25rem .5rem;
	font-size: 1rem;
	line-height: 1.5;
}

.mediumTitle {
	text-align: center;
	color: #bd2130!important;
	font-weight: bold!important;
	padding: .375rem .75rem;
	font-size: 1.25rem;
	line-height: 1.5;
}

.largeTitle {
	text-align: center;
	color: #bd2130!important;
	font-weight: bold!important;
	padding: 0.2rem 1rem;
	font-size: 2rem;
	line-height: 1.5;
}

.customTitle {
	text-align: center;
	color: #bd2130!important;
	font-weight: bold!important;
	padding: 0.2rem 1rem;
	font-size: 2rem;
	line-height: 1.5;
}

.form-control-custom, .input-group-custom > .form-control, .input-group-custom > .input-group-append > .btn, .input-group-custom > .input-group-append > .input-group-text, .input-group-custom > .input-group-prepend > .btn, .input-group-custom > .input-group-prepend > .input-group-text {
    padding: .5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: .3rem;
}

.btn-group-custom > .btn {
	padding: .5rem 1rem;
	font-size: 1.25rem;
	line-height: 1.5;
	border-radius: .3rem;
}

.modal {
	display: none;
	position: fixed;
	z-index: 1;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: #000000;
	background-color: rgba(0, 0, 0, 0.4);
	-webkit-animation-name: fadeIn;
	-webkit-animation-duration: 0.4s;
	animation-name: fadeIn;
	animation-duration: 0.4s
}

.modal-content {
	position: fixed;
	bottom: 0;
	background-color: #fefefe;
	width: 100%;
	-webkit-animation-name: slideIn;
	-webkit-animation-duration: 0.4s;
	animation-name: slideIn;
	animation-duration: 0.4s
}

.modal-titleBar{
	height: 1.5rem;
}

.modal-btClose {
	background-color: white;
	color: black;
	position: absolute;
	right: 0px;
	width: 2rem;
	height: 1.5rem;
	text-align: center;
	font-size: 0.95rem;
	padding-left: 0.15rem;
}

.modal-btClose:hover, .modal-btClose:focus {
	background-color: #bd2130;
	color: white;
	cursor: pointer;
}

@-webkit-keyframes slideIn {
	from {
		bottom: -300px;
		opacity: 0
	}
	to {
		bottom: 0;
		opacity: 1
	}
}

@keyframes slideIn {
	from {
		bottom: -300px;
		opacity: 0
	}
	to {
		bottom: 0;
		opacity: 1
	}
}

@-webkit-keyframes fadeIn {
	from {
		opacity: 0
	}
	to {
		opacity: 1
	}
}

@keyframes fadeIn {
	from {
		opacity: 0
	}
	to {
		opacity: 1
	}
}
